import request from '@/config/axios';
import type { TableData } from './types';

/** 获取表格数据 */
export const getJGWJQueryListApi = (data: any) => {
  return request.postJson({ url: '/JGWJQuery/spi/JGWJQuery/JgwjQuery/JgwjQueryQueryPage', data });
};

/** 批量删除 */
export const delJGWJQueryListApi = (list: string[] | number[]): Promise<IResponse> => {
  const _list = list.map(v => {
    return {
      pkid: v.pkid,
    };
  });
  return request.postJson({
    url: '/JGWJQuery/spi/JGWJQuery/JgwjQuery/JgwjQueryBatchDelete',
    data: {
      list: _list,
    },
  });
};

/** 删除 */
export const delJGWJQueryApi = (pkid?: string): Promise<IResponse> => {
  return request.postJson({ url: '/JGWJQuery/spi/JGWJQuery/JgwjQuery/JgwjQueryDelete', data: { pkid } });
};

/** 保存 */
export const saveJGWJQueryApi = (data: Partial<TableData>): Promise<IResponse> => {
  return request.postJson({ url: '/JGWJQuery/spi/JGWJQuery/JgwjQuery/JgwjQuerySave', data });
};

/** 查询单条数据 */
export const queryJGWJQueryApi = (pkid?: string): Promise<IResponse> => {
  return request.postJson({ url: '/JGWJQuery/spi/JGWJQuery/JgwjQuery/JgwjQueryQueryOne', data: { pkid } });
};

/** 同步导入 */
export const importExcelApiUrl = '/JGWJQuery/sui/JGWJQuery/JgwjQuery/JgwjQueryImportExcel';

/** 异步导入 */
export const importExcelAsyncApiUrl = '/JGWJQuery/sui/JGWJQuery/JgwjQuery/JgwjQueryImportAsyncExcel';

/** 导出 */
export const exportExcelApi = (params: any) => {
  return request.doExport({ url: '/JGWJQuery/sdi/JGWJQuery/JgwjQuery/JgwjQueryExportXls', params });
};

/** 获取某个字典 */
export const getCsckCheckType = ({ paramName, systemCode }): Promise<IResponse> => {
  return request.postJson({
    url: '/param/spi/param/systemparam',
    data: {
      paramName: paramName,
      systemCode: systemCode,
    },
  });
};

